Kpat
6
2010-11-09
kdegames
KDE användarhandbok

# &kappname;

Ett mycket vanebildande kortspel för &kde;.

    kpat Qt-väljare KDE-väljare --solvegame  fil --solve  num --start  num --end  num --gametype  spel

## Beskrivning

&kpatience; är en samling med flera välkända patienser, som går från de välkända Klondike och Kungen, till mindra välkända spel som Farfarsklockan och Mod3. Sammantaget finns det 12 varianter som du kan fördriva tiden med.

## Väljare

Det här programmet följer den vanliga syntaxen för kommandoraden som används av GNU-program, med långa väljare som börjar med två streck (`--'). En sammanfattning av väljarna som stöds av `kpat` finns nedan.

### Allmänna väljare

`--author`

  Visa information om upphovsman

`--help`

  Visa hjälp om väljare

`--help-qt`

  Visa Qt-specifika väljare

`--help-kde`

  Visa &kde;-specifika väljare

`--help-all`

  Visa alla väljare

`--license`

  Visa licensinformation

`-v`, `--version`

  Visa versionsinformation och avsluta.

### Qt-väljare

`--display skärmnamn`

  Använd X-serverns skärm skärmnamn.

`--session sessions-id`

  Återställ programmet med angivet sessions-id.

`--cmap`

  Gör att programmet installerar en privat färgkarta på en 8-bitarsskärm.

`--ncols antal`

  Begränsar antalet färger som begärs i färgkuben på en 8-bitarsskärm, om programmet använder färgangivelse enligt `QApplication::ManyColor`.

`--nograb`

  anger att Qt aldrig ska ta över musen eller tangentbordet.

`--dograb`

  att köra inne i en avlusare kan ge upphov till en underförstådd väljare `-nograb`, använd `-dograb` för att överskrida den.

`--sync`

  byter till synkront läge för avlusning.

`--fn`, `--font teckensnitt`

  definierar programmets teckensnitt.

`--bg`, `--background färg`

  anger den förvalda bakgrundsfärgen och en programpalett (ljusa och mörka nyanser beräknas).

`--fg`,`--foreground färg`

  anger den förvalda förgrundsfärgen.

`--btn`, `--button färg`

  anger den förvalda knappfärgen.

`--name namn`

  anger programmets namn.

`--title titel`

  anger programmets titel (rubrik).

`--visual TrueColor`

  tvingar programmet att använda TrueColor på en 8-bitarsskärm.

`--inputstyle`

  väljer XIM (X Inmatningsmetod) inmatningsstil. Möjliga värden är onthespot, overthespot, offthespot och root.

`--im XIM-server`

  ange XIM-server.

`--noxim`

  stäng av XIM.

`--reverse`

  spegelvänder hela layouten av grafiska komponenter.

`--stylesheet fil.qss`

  använder Qt-stilmallen för programmets grafiska komponenter.

`--graphicssystem system`

  Använd ett annat grafiksystem istället för det normala, alternativen är Raster och opengl (experimentellt).

### KDE-väljare

`--caption titel`

  Använd titel som namn i namnlisten.

`--icon ikon`

  Använd ikon som programmets ikon.

`--config filnamn`

  Använd alternativ inställningsfil.

`--nocrashhandler`

  Stäng av kraschhanteraren, för att få minnesdumpar.

`--waitforwm`

  Väntar på en WM_NET-kompatibel fönsterhanterare.

`--style stil`

  ställer in stilen för programmets grafiska gränssnitt.

`--geometry geometry`

  anger geometri för programmets huvudfönster - se manualsidan man:/X för argumentens format (oftast BreddxHöjd+Xpos+Ypos).

### Väljare

`--solvegame` fil

  Försök hitta en lösning på det givna sparade spelet

`--solve` num

  Givare att lösa (felsökning)

`--start` num

  Spelintervallstart (förval 0:INT_MAX)

`--end` num

  Spelintervallslut (förval start:start om start angiven)

`--gametype` spel

  Hoppa över urvalsfönstret och ladda en viss spelvariant. Giltiga värden är: acesup, fortyeight, freecell, golf, grandfather, grandfathersclock, gypsy, klondike, mod3, simplesimon, spider, yukon.

### Väljare

fil

  Fil att ladda

## Se också

&kpatience; beskrivs i detalj i Handbok &kpatience; (`$`KDEDIR`share/doc/HTML/sv/kpat/index.html` eller skriv in `help:/kpat/index.html` i &konqueror;).

## Upphovsmän

&kpatience; är gjort av:

- Paul Olav Tvete
- Mario Weilguni mweilguni@kde.org
- Matthias Ettrich ettrich@kde.org
- Rodolfo Borges barrett@labma.ufrj.br
- Peter H. Ruegg kpat@incense.org
- Michael Koch koch@kde.org
- Marcus Meissner mm@caldera.de
- Shlomi Fish shlomif@vipe.technion.ac.il
- Stephan Kulow coolo@kde.org